gdalwarp(1)

NAME
gdalwarp - simple image reprojection and warping utility

SYNOPSIS

gdalwarp [--version] [--formats]
    [-s_srs srs_def] [-t_srs srs_def] [-order n] [-et err_threshold]
    [-te xmin ymin xmax ymax] [-tr xres yres] [-ts width height]
	[-wo "NAME=VALUE"] [-ot Byte/Int16/...] [-wt Byte/Int16]
    [-rn] [-rb] [-rc] [-rcs] [-srcnodata value [value...]]
    [-wm memory_in_mb] [-multi] [-q]
    [-of format] [-co "NAME=VALUE"]* srcfile dstfile

DESCRIPTION

The gdalwarp utility is a simple image reprojection and warping utility. The program can reproject to any support projection, and can also apply GCPs stored with the image if the image is 'raw' with control information.

-s_srs srs def:
    source spatial reference set. The coordinate systems that can be passed are anything supported by the OGRSpatialReference.SetFromUserInput() call, which includes EPSG PCS and GCSes (ie. EPSG:4296), PROJ.4 declarations (as above), or the name of a .prf file containing well known text.

-t_srs srs_def:
    target spatial reference set. The coordinate systems that can be passed are anything supported by the OGRSpatialReference.SetFromUserInput() call, which includes EPSG PCS and GCSes (ie. EPSG:4296), PROJ.4 declarations (as above), or the name of a .prf file containing well known text.

-order n:
    order of polynom used for warping (1 to 3)

-et err_threshold:
    error threshold for transformation approximation (in pixel units - defaults to 0.125).

-te xmin ymin xmax ymax: set georeferenced extents of output file to be created.

-tr xres yres:
    set output file resolution (in target georeferenced units)

-ts width height:
    set output file size in pixels and lines

-wo 'NAME=VALUE':
    Set a lost of warp options. There is a list of available ones. Multiple -wo options may be listed.

-ot type:
    For the output bands to be of the indicated data type.

-wt type:
    Working pixel data type. The datatype of pixels in the source image and destination image buffers.

-rn:
    Use nearest neighbour resampling (fastest algorithm, worst interpolation quality).

-rb:
    Use bilinear resampling.

-rc:
    Use cubic resampling.

-rcs:
    Use cubic spline resampling (slowest algorithm).

-srcnodata value [value...]:
    Set nodata masking values (several values may be specified). Masked values will not be used in interpolation.

-wm memory_in_mb:
    Set the amount of memory (in bytes) that the warp API is allowed to use for caching.

-multi:
    Use multithreaded warping implementation. Multiple threads will be used to process chunks of image and perform input/output operation simultaneously.

-q: Be quiet.

-of format:
    Select the output format. The default is GeoTIFF (GTiff). Use the short format name.

-co 'NAME=VALUE':
    passes a creation option to the output format driver. Multiple -co options may be listed. See format specific documentation for legal creation options for each format.

srcfile:
    The source file name.

dstfile:
    The destination file name.

Mosaicing into an existing output file is supported if the output file already exists.

It currently has the following limitations: .PD 0

•   Only 8 bit data is can be warped.

•   The entire source image is held in memory.

•   Only nearest neighbour resampling is available.

EXAMPLE

For instance, an eight bit spot scene stored in GeoTIFF with control points mapping the corners to lat/long could be warped to a UTM projection with a command like this:

% gdalwarp -t_srs '+proj=utm +zone=11 +datum=WGS84' raw_spot.tif utm11.tif

AUTHORS

Frank Warmerdam <warmerdam@pobox.com> Silke Reimer <silke@intevation.de>